Permalink
Browse files

Dropped the overview.html makefile target and the dependency on docut…

…ils.

darcs-hash:20060817023445-d00bf-99cc891e26a8fde5930b4860fe3acbf6623ac88d.gz
  • Loading branch information...
1 parent 5b57685 commit 3f47e281d8314967703f7f5f1e756dc9b28e9e55 @jmbr committed Aug 17, 2006
Showing with 2 additions and 12 deletions.
  1. +1 −8 GNUmakefile
  2. +0 −3 HACKING
  3. +1 −1 Halberd/version.py
View
@@ -58,10 +58,6 @@ ALL_DIRS := $(sort $(dir $(ALL_SOURCES)))
remove = $(RM) $(addsuffix $(strip $(1)), $(2))
-rest2html = $(PYTHON) -c \
- "from docutils.core import publish_cmdline; \
- publish_cmdline(writer_name='html')"
-
all:
@echo "============================================================================"
@@ -102,15 +98,12 @@ distclean: clobber
$(RM) -r $(apidocdir)
$(RM) -r $(srcdir)/dist
-doc: $(apidocdir)/index.html $(docdir)/overview.html $(mandir)/man1/halberd.1
+doc: $(apidocdir)/index.html $(mandir)/man1/halberd.1
$(MAKE) -C $(docdir)
$(apidocdir)/index.html: $(MODULES)
$(EPYDOC) -o $(apidocdir) $^
-$(docdir)/overview.html: $(docdir)/overview.txt
- $(rest2html) $^ $@
-
$(mandir)/man1/halberd.1:
$(HELP2MAN) --include $(srcdir)/help2man.cfg --no-info $(scriptsdir)/halberd --output $@
View
@@ -7,9 +7,6 @@ Required packages
* GNU shtool (http://www.gnu.org/software/shtool/) must be installed in order
to update Halberd/version.py.
-* Docutils (http://docutils.sourceforge.net/) is needed for processing some of
-the files in the doc directory.
-
* Patched version of GNU help2man to produce the manual page halberd.1 Apply
this patch and do a make doc to create the man page.
View
@@ -1,5 +1,5 @@
##
-## Halberd/version.py -- Version Information for halberd (syntax: Python)
+## ./Halberd/version.py -- Version Information for halberd (syntax: Python)
## [automatically generated and maintained by GNU shtool]
##

0 comments on commit 3f47e28

Please sign in to comment.